#pragma once

#include <QOpenGLFunctions>
#include <QOpenGLShaderProgram>
#include <QOpenGLBuffer>
#include <QOpenGLTexture>
#include <QVector>

class GeometryEngine : protected QOpenGLFunctions
{
public:
	GeometryEngine();
	virtual ~GeometryEngine();

private:
	QOpenGLBuffer m_arrayBuf;
	QOpenGLBuffer m_indexBuf;
	QVector<QOpenGLTexture*> m_textures;

	void initCubeGeometry();
	void initTexture();

public:
	void drawGeometry(QOpenGLShaderProgram *program);
};

